import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import './registerServiceWorker';
import { LogService, LogLevel, ApiAppender, ConsoleAppender } from './services/logging';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';

Vue.component('fa-icon', FontAwesomeIcon);

LogService.getRootLogger().appenders.push(
  // TODO: prod/dev config settings for logging?
  new ConsoleAppender(LogLevel.DEBUG),
  new ApiAppender(process.env.VUE_APP_PM_API_BASE + '/log/batch', '', LogLevel.WARN)
);

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app');
