import Vue from 'vue';
import Router from 'vue-router';
import Dashboard from './views/Dashboard.vue';
import Measures from './views/Measures.vue';
import UserAccount from './views/UserAccount.vue';
import QuickPanels from './views/QuickPanels.vue';

Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      redirect: '/dashboard'
    },
    {
      path: '/dashboard',
      name: 'dashboard',
      component: Dashboard
    },
    {
      path: '/measures',
      name: 'measures',
      component: Measures
    },
    {
      path: '/user-account',
      name: 'user-account',
      component: UserAccount
    },
    {
      path: '/quick-panels',
      name: 'quick-panels',
      component: QuickPanels
    }
  ]
});
